task annovar {

  File vcf
  String basename = basename(vcf,".vcf")
  String hg
  File annovar_database
  String docker
  String cluster_config
  String disk_size


  command <<<
    set -o pipefail
    set -e
    nt=$(nproc)

    awk -F'\t' '{if(($1~"^#")||($1!~"^#" && $7=="PASS")){print $0}}' ${vcf} > ${basename}.PASS.vcf

    if [ ${hg} == "hg38" ]; then
      /installations/annovar/table_annovar.pl ${basename}.PASS.vcf \
      ${annovar_database} -buildver ${hg} \
      -out ${basename} -remove \
      -protocol exac03,gnomad211_exome,cosmic92_coding,cosmic92_noncoding \
      -operation f,f,f,f \
      -nastring . -vcfinput -thread $nt
    fi
    
  >>>
  
  runtime {
    docker: docker
    cluster: cluster_config
    systemDisk: "cloud_ssd 40"
    dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
  }

  output {
    File avinput = "${basename}.avinput"
    File others_txt = "${basename}.${hg}_others.txt"
    File others_vcf = "${basename}.${hg}_others.vcf"
  }
}